Client Management
Manage registered clients.
Read the current client registration data stored by Collibra.
Client identifier generated by Collibra when the client was registered.
Client data retrieved successfully
Technical client identifier returned by the Authorization Server when the client is registered.
Time at which the client identifier was issued.
The time is represented as the number of seconds from 1970-01-01T00:00:00Z as measured in UTC until the date/time of issuance.
Descriptive name of the client.
Two different clients cannot have the same name.
This should be a name that reveals the purpose of the client.
Techlin Harvester (us-west-1)Authorization grants that the client is allowed to use.
Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type.
Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when grant_types includes authorization_code. Defaults to true.
This client doesn't exist on this server, or the provided access token is invalid
Not authorized to retrieve the requested client data.
GET /rest/auth/v1/clients/{client_id} HTTP/1.1
Accept: */*
{
"client_id": "text",
"client_id_issued_at": 1,
"client_name": "Techlin Harvester (us-west-1)",
"grant_types": [
"text"
],
"redirect_uris": [
"https://example.com"
],
"require_proof_key": true
}Updates a registered client.
Client identifier generated by Collibra when the client was registered.
Request to update registered client data.
Descriptive name of the client.
Two different clients cannot have the same name.
This should be a name that reveals the purpose of the client.
Techlin Harvester (us-west-1)Authorization grants that the client is allowed to use.
Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type.
Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when grant_types includes authorization_code. Defaults to true.
Client updated successfully
Data associated to the registered client.
The client secret returned in this response cannot be read through any API call. Thus you should store the client secret returned in this response.
Technical client identifier returned by the Authorization Server when the client is registered.
Time at which the client identifier was issued.
The time is represented as the number of seconds from 1970-01-01T00:00:00Z as measured in UTC until the date/time of issuance.
Descriptive name of the client.
Two different clients cannot have the same name.
This should be a name that reveals the purpose of the client.
Techlin Harvester (us-west-1)Authorization grants that the client is allowed to use.
Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type.
Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when grant_types includes authorization_code. Defaults to true.
Secret generated by Collibra for the registered client.
This client doesn't exist on this server, or the provided access token is invalid
The provided client is not allowed to update this record.
PUT /rest/auth/v1/clients/{client_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"client_name": "Techlin Harvester (us-west-1)",
"grant_types": [
"text"
],
"redirect_uris": [
"https://example.com"
],
"require_proof_key": true
}{
"client_secret": "password",
"client_id": "text",
"client_id_issued_at": 1,
"client_name": "Techlin Harvester (us-west-1)",
"grant_types": [
"text"
],
"redirect_uris": [
"https://example.com"
],
"require_proof_key": true
}Deletes a registered client.
A successful delete action will invalidate the client_id and client_secret for this client, meaning the client will no longer be able to authenticate with those credentials.
Client identifier generated by Collibra when the client was registered.
Client registration deleted successfully.
No content
This client doesn't exist on this server, or the provided access token is invalid
The provided client is not allowed to delete this record.
DELETE /rest/auth/v1/clients/{client_id} HTTP/1.1
Accept: */*
No content
Last updated
Was this helpful?